<!doctype html>
<html lang="en">
<head>
    <!-- META TAGS -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="data:;base64,iVBORw0KGgo=">
    <!-- BOOTSTRAP CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="css/styles.css">
    <title>DropBearTable</title>
    <link rel="icon" href="img/koala.svg" type="image/x-icon">
</head>

<body id="docBody">
<nav class="navbar navbar-expand-lg">
    <div id="navbarDiv" class="container-fluid">
        <div id="navbarBrandDiv">
            <!-- LOGO -->
            <a href="index.html"><img id="logoImage" src="img/koala.svg" alt="DropBearTable logo"></a>
            <a id="brandName" class="navbar-brand" href="index.html">DropBearTable</a>
            <!-- END LOGO -->
        </div>
        <!-- MENU LIST -->
        <div id="menu">
            <div id="navbarLinks">
                <button id="reservationsLink">My Reservations</button>
                <a href="index.html#contactUsDiv" id="contactUsReservation">Contact Us</a>
            </div>
        </div>
        <!-- END MENU LIST -->
    </div>
</nav>

<div id="mainBody" class="container-fluid">
    <div id="mainHomeContent">
        <!-- MAIN HEADER CONTENT -->
        <div id="mainRow" class="row">
            <!-- Header Decorations -->
            <div id="headingDecoration">
                <svg id="circle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                    <circle cx="8" cy="8" r="8"/>
                </svg>
                <svg id="circle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                    <circle cx="8" cy="8" r="8"/>
                </svg>
                <svg id="circle3" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle" viewBox="0 0 16 16">
                    <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                </svg>
            </div>
            <div id="subHeadingDecoration">
                <svg id="subCircle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                    <circle cx="8" cy="8" r="8"/>
                </svg>
                <svg id="subCircle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                    <circle cx="8" cy="8" r="8"/>
                </svg>
            </div>
            <!-- Header Text -->
            <div id="mainHeadingDiv" >
                <figure class="text-end">
                    <h1 id="mainHeader">Manage your bookings.</h1>
                </figure>
            </div>
        </div>
        <!-- END OF MAIN HEADER -->

        <!-- NOTIFICATION CONTENT -->
        <div id="processingContainer" class="hide-content">
            <!-- Hourglass Processing Icon -->
            <div id="iconDiv" class="container-fluid">
                <svg id="hourglass" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-hourglass" viewBox="0 0 16 16">
                    <path d="M2 1.5a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-1v1a4.5 4.5 0 0 1-2.557 4.06c-.29.139-.443.377-.443.59v.7c0 .213.154.451.443.59A4.5 4.5 0 0 1 12.5 13v1h1a.5.5 0 0 1 0 1h-11a.5.5 0 1 1 0-1h1v-1a4.5 4.5 0 0 1 2.557-4.06c.29-.139.443-.377.443-.59v-.7c0-.213-.154-.451-.443-.59A4.5 4.5 0 0 1 3.5 3V2h-1a.5.5 0 0 1-.5-.5zm2.5.5v1a3.5 3.5 0 0 0 1.989 3.158c.533.256 1.011.791 1.011 1.491v.702c0 .7-.478 1.235-1.011 1.491A3.5 3.5 0 0 0 4.5 13v1h7v-1a3.5 3.5 0 0 0-1.989-3.158C8.978 9.586 8.5 9.052 8.5 8.351v-.702c0-.7.478-1.235 1.011-1.491A3.5 3.5 0 0 0 11.5 3V2h-7z"/>
                </svg>
            </div>
        </div>
        <div id="notifContainer" class="hide-content">
            <div id="notifDiv" class="container-fluid">
                <!-- Close Button for Notification Window -->
                <button id="notifClose">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                        <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                    </svg>
                </button>
                <!-- Notification Content -->
                <div id="notifInfo" class="card-body">
                    <h3 id="notifTitle" class="card-title">Booking Successful!</h3>
                    <p id="notifMessage" class="card-text"></p>
                </div>
            </div>
        </div>
        <!-- END OF NOTIFICATION CONTENT -->

        <!-- MIDDLE ROW CONTENT -->
        <div id="middleRow" class="row">
            <div id="restaurantInfo" class="card">
                <!-- Reservation Page Header -->
                <div id="restaurantHeader" class="card-header">
                    <h1 id="restaurantOneName">Upcoming Bookings</h1>
                </div>
                <!-- Example Booking Entry -->
                <div class="booking-entry">
                    <h5 class="card-title">Booking 1</h5>
                    <p class="card-text">Booking Status:  </p>
                    <p class="card-text">Name:            </p>
                    <p class="card-text">Mobile Number:   </p>
                    <p class="card-text">Restaurant Name: </p>
                    <p class="card-text">Date:            </p>
                    <p class="card-text">Time:            </p>
                    <p class="card-text">Number of Guests:</p>
                </div>
                <!-- Example Booking Buttons -->
                <div class="card-body">
                    <button class="btn btn-light">Edit</button>
                    <button class="btn btn-light">Delete</button>
                    <button class="btn btn-light">Confirm</button>
                </div>
                <!-- Example Booking Entry -->
                <div class="booking-entry">
                    <h5 class="card-title">Booking 2</h5>
                    <p class="card-text">Booking Status:  </p>
                    <p class="card-text">Name:            </p>
                    <p class="card-text">Mobile Number:   </p>
                    <p class="card-text">Restaurant Name: </p>
                    <p class="card-text">Date:            </p>
                    <p class="card-text">Time:            </p>
                    <p class="card-text">Number of Guests:</p>
                </div>
                <!-- Example Booking Buttons -->
                <div class="card-body">
                    <button class="btn btn-light">Edit</button>
                    <button class="btn btn-light">Delete</button>
                    <button class="btn btn-light">Confirm</button>
                </div>
            </div>
        </div>
        <!-- END MIDDLE ROW -->

        <!-- CHAT BOT -->
        <div id="chatBotDiv">
            <div id="chatIconDiv">
                <!-- Lower right chat button -->
                <button id="chatBtn">
                    <svg id="chatIcon" xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-chat-square-quote-fill" viewBox="0 0 16 16">
                        <path d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-2.5a1 1 0 0 0-.8.4l-1.9 2.533a1 1 0 0 1-1.6 0L5.3 12.4a1 1 0 0 0-.8-.4H2a2 2 0 0 1-2-2V2zm7.194 2.766a1.688 1.688 0 0 0-.227-.272 1.467 1.467 0 0 0-.469-.324l-.008-.004A1.785 1.785 0 0 0 5.734 4C4.776 4 4 4.746 4 5.667c0 .92.776 1.666 1.734 1.666.343 0 .662-.095.931-.26-.137.389-.39.804-.81 1.22a.405.405 0 0 0 .011.59c.173.16.447.155.614-.01 1.334-1.329 1.37-2.758.941-3.706a2.461 2.461 0 0 0-.227-.4zM11 7.073c-.136.389-.39.804-.81 1.22a.405.405 0 0 0 .012.59c.172.16.446.155.613-.01 1.334-1.329 1.37-2.758.942-3.706a2.466 2.466 0 0 0-.228-.4 1.686 1.686 0 0 0-.227-.273 1.466 1.466 0 0 0-.469-.324l-.008-.004A1.785 1.785 0 0 0 10.07 4c-.957 0-1.734.746-1.734 1.667 0 .92.777 1.666 1.734 1.666.343 0 .662-.095.931-.26z"/>
                    </svg>
                </button>
            </div>
        </div>
        <div id="chatWindow" class="hide-content">
            <!-- Close button -->
            <button id="chatCloseBtn">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                    <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                    <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                </svg>
            </button>
            <!-- Chat form -->
            <div id="chatForm" class="container-fluid">
                <div id="chatTitleDiv">
                    <h4 id="chatTitle">Let our DropBear Bot help you.</h4>
                </div>
                <div class="card">
                    <!-- Chat Messages Display -->
                    <div id="messageDisplay" class="card-body"></div>
                </div>
                <div class="input-group mb-3">
                    <!-- Chat Text Input -->
                    <input id="chatTextInput" type="text" class="form-control" placeholder="Type your message here" aria-label="Chat message">
                    <!-- Chat Send Button -->
                    <button id="chatSendBtn" class="btn btn-outline-secondary" type="button">Send</button>
                </div>
            </div>
        </div>
        <!-- END CHAT BOT CONTENT -->

        <!-- FOOTER CONTENT -->
        <div id="footerDiv">
            <div>
                <p><small>This website was developed by drop bears for DropBearTable©</small></p>
                <p><small><a href="https://iconscout.com/icons/koala" target="_blank">Koala Icon</a> by <a href="https://iconscout.com/contributors/twitter-inc" target="_blank">Twitter Emoji</a></small></p>
            </div>
        </div>
        <!-- END FOOTER CONTENT -->
    </div>
</div>

<!-- BOOTSTRAP BUNDLE WITH POPPER -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

<!-- CUSTOM SCRIPTS.JS FILE -->
<script src="js/scripts.js"></script>
</body>
</html>
